org.bdgenomics.adam.rdd

# GenomicRegionPartitioner

###
Related Docs: class GenomicRegionPartitioner | package rdd

#### object GenomicRegionPartitioner extends Serializable

Helper object for creating GenomicRegionPartitioners.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GenomicRegionPartitioner
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(numParts: Int, seqDict: SequenceDictionary): GenomicRegionPartitioner

   Creates a GenomicRegionPartitioner with a specific number of partitions.

   Creates a GenomicRegionPartitioner with a specific number of partitions.

   numParts

     The number of partitions to have in the new partitioner.

   seqDict

     A sequence dictionary describing the known genomic contigs.

   returns

     Returns a partitioner that divides the known genome into a set number of partitions.

5. #### def apply(partitionSize: Long, seqDict: SequenceDictionary): GenomicRegionPartitioner

   Creates a GenomicRegionPartitioner where partitions cover a specific range of the genome.

   Creates a GenomicRegionPartitioner where partitions cover a specific range of the genome.

   partitionSize

     The number of bases in the reference genome that each partition should cover.

   seqDict

     A sequence dictionary describing the known genomic contigs.

   returns

     Returns a partitioner that divides the known genome into partitions of fixed size.

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

18. #### def toString(): String

    Definition Classes
      AnyRef → Any

19. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped